Package org.picocontainer.containers

# Class PropertiesPicoContainer

java.lang.Object
org.picocontainer.containers.AbstractDelegatingPicoContainer
org.picocontainer.containers.PropertiesPicoContainer

All Implemented Interfaces:
  `Serializable`, `Converting`, `PicoContainer`

Direct Known Subclasses:
  `SystemPropertiesPicoContainer`

public class PropertiesPicoContainer extends AbstractDelegatingPicoContainer
immutable pico container constructed from properties. intendet to be used with config parameter

Author:
  Konstantin Pribluda
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PropertiesPicoContainer(Properties properties)`
construct without a parent
`PropertiesPicoContainer(Properties properties, PicoContainer parent)`
create with parent container and populate from properties

## Method Summary

Modifier and Type
Method
Description
`void`
`setName(String s)`
`String`
`toString()`

### Methods inherited from class org.picocontainer.containers.AbstractDelegatingPicoContainer

`accept, equals, getComponent, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponentAdapters, getComponents, getComponents, getConverters, getDelegate, getParent`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertiesPicoContainer

public PropertiesPicoContainer(Properties properties, PicoContainer parent)
create with parent container and populate from properties

Parameters:
  `properties` -
  `parent` -

### PropertiesPicoContainer

public PropertiesPicoContainer(Properties properties)
construct without a parent

Parameters:
  `properties` -

## Method Details

### setName

public void setName(String s)

### toString

public String toString()

Overrides:
  `toString` in class `AbstractDelegatingPicoContainer`